Jump to content
How to Install Plugins √ó

G'MIC (02-26-2024)


null54

Recommended Posts

Just a heads-up @null54  The Gmic dll properties still lists it as 13.1.2.0.  Thanks!

Link to comment
Share on other sites

6 hours ago, lynxster4 said:

The Gmic dll properties still lists it as 13.1.2.0.

 

Fixed.

  • Upvote 1

PdnSig.png

Plugin Pack | PSFilterPdn | Content Aware Fill | G'MIC |  Paint Shop Pro Filetype | RAW Filetype | WebP Filetype

The small increase in performance you get coding in C++ over C# is hardly enough to offset the headache of coding in the C++ language. ~BoltBait

 

Link to comment
Share on other sites

  • null54 changed the title to G'MIC (2022-06-22)
  • null54 changed the title to G'MIC (2022-07-01)
  • 4 weeks later...

Hi.
I have a problem with one of the features of G'MIC plugin ver. 3.1.5.0
I'm trying to use filter Artistic/Stylize with first option Stylize changed to the "Custom Style (Top Layer)" or "Custom Style (Bottom Layer)"

I'm getting an error message "Preview warning: At least two layers are required when specifying a custom style."

I have multiple layers in my pdn file. I also tried it with an image on my clipboard.

All predefined Style-images work OK when selected.

Is there anything I'm doing wrong?

Thanks!

Link to comment
Share on other sites

3 hours ago, Furatus said:

I'm getting an error message "Preview warning: At least two layers are required when specifying a custom style."

 

The Input Layers option in G'MIC-Qt needs to be set to All in order for Stylize to see the clipboard layer.

  • Like 1

PdnSig.png

Plugin Pack | PSFilterPdn | Content Aware Fill | G'MIC |  Paint Shop Pro Filetype | RAW Filetype | WebP Filetype

The small increase in performance you get coding in C++ over C# is hardly enough to offset the headache of coding in the C++ language. ~BoltBait

 

Link to comment
Share on other sites

10 hours ago, null54 said:

 

The Input Layers option in G'MIC-Qt needs to be set to All in order for Stylize to see the clipboard layer.

Thanks a lot! Works as advertised. Have a good weekend! 

Edited by Furatus
Link to comment
Share on other sites

  • 1 month later...
  • null54 changed the title to G'MIC (2022-08-31)
8 minutes ago, BDP said:

Still showing 3.1.5, instead of 3.1.6, unless I have downloaded the wrong version!

 

The links in the first post of this thread are both version 3.1.6.

Did you copy the gmic folder and overwrite all existing files?

PdnSig.png

Plugin Pack | PSFilterPdn | Content Aware Fill | G'MIC |  Paint Shop Pro Filetype | RAW Filetype | WebP Filetype

The small increase in performance you get coding in C++ over C# is hardly enough to offset the headache of coding in the C++ language. ~BoltBait

 

Link to comment
Share on other sites

  • 2 weeks later...
On 9/1/2022 at 1:46 AM, null54 said:

Release version 3.1.6.

Changes:

  • Updated G'MIC to version 3.1.6

Gmic_win32.version 3.1.6 is not working on Windows 10 32-bit .

The gmic_paintdotnet_qt.exe is starting but the graphical interface from gmic is not there .

Link to comment
Share on other sites

2 hours ago, Rle said:

Gmic_win32.version 3.1.6 is not working

 

Confirmed, but I have no idea what the issue is.

The 64-bit version is working fine, and I have not updated the compiler or anything that would change the dependencies.

PdnSig.png

Plugin Pack | PSFilterPdn | Content Aware Fill | G'MIC |  Paint Shop Pro Filetype | RAW Filetype | WebP Filetype

The small increase in performance you get coding in C++ over C# is hardly enough to offset the headache of coding in the C++ language. ~BoltBait

 

Link to comment
Share on other sites

  • null54 changed the title to G'MIC (2022-09-09)

@Rle

 

Release version 3.1.6.1.

Changes:

  • Fixed a hang in the 32-bit version.

PdnSig.png

Plugin Pack | PSFilterPdn | Content Aware Fill | G'MIC |  Paint Shop Pro Filetype | RAW Filetype | WebP Filetype

The small increase in performance you get coding in C++ over C# is hardly enough to offset the headache of coding in the C++ language. ~BoltBait

 

Link to comment
Share on other sites

  • 3 months later...

Hello,

Is there a compatibility TABLE regarding the PAINTNET and GMIC versions that work TOGETHER?

 

What actually want is the following:

I want to run the PAINTNET version 3.5.11 with a GMIC plugin.

I try many of GMIC plugin versions but unfortunately i can not successfully find the correct GMIC corresponding version for the PAINTNET version 3.5.11

Can you please help?

Link to comment
Share on other sites

41 minutes ago, GeoVan said:

Hello,

Is there a compatibility TABLE regarding the PAINTNET and GMIC versions that work TOGETHER?

 

What actually want is the following:

I want to run the PAINTNET version 3.5.11 with a GMIC plugin.

I try many of GMIC plugin versions but unfortunately i can not successfully find the correct GMIC corresponding version for the PAINTNET version 3.5.11

Can you please help?

 

There is no support for older versions of Paint.NET. You need to install the latest version -- that is the only path forward.

  • Like 1

The Paint.NET Blog: https://blog.getpaint.net/

Donations are always appreciated! https://www.getpaint.net/donate.html

forumSig_bmwE60.jpg

Link to comment
Share on other sites

53 minutes ago, GeoVan said:

Hello,

Is there a compatibility TABLE regarding the PAINTNET and GMIC versions that work TOGETHER?

 

What actually want is the following:

I want to run the PAINTNET version 3.5.11 with a GMIC plugin.

I try many of GMIC plugin versions but unfortunately i can not successfully find the correct GMIC corresponding version for the PAINTNET version 3.5.11

Can you please help?

 

Chances are you'll be able to find a cheap computer that runs Windows 10 these day, and you can update Paint.NET, and it is constantly updated with not much difference from 3.5.11 in some ways. If for whatever reason you have to use old softwares, there are virtual machine as a option for that.

G'MIC Filter Developer

Link to comment
Share on other sites

3 hours ago, GeoVan said:

Do you know if GMIC plugin works in PAINTNET versions older than 4.0 , please?

 

No it does not. The G'MIC plugin has never supported Paint.NET 3.5.11 and earlier.

The G'MIC executable also requires Windows 7 as its minimum OS.

PdnSig.png

Plugin Pack | PSFilterPdn | Content Aware Fill | G'MIC |  Paint Shop Pro Filetype | RAW Filetype | WebP Filetype

The small increase in performance you get coding in C++ over C# is hardly enough to offset the headache of coding in the C++ language. ~BoltBait

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...